<template>
  <div class="white-block">
    <div class="padding">
      <h3>Контактная информация</h3>
    </div>
    <hr/>
    <div class="padding">
      <div class="row">

        <contact-mobile-phone></contact-mobile-phone>
        <contact-email></contact-email>
        <change-mobile-phone-modal></change-mobile-phone-modal>
        <change-email-modal></change-email-modal>

      </div>
    </div>
  </div>
</template>

<script>
  import ContactMobilePhone from './ContactMobilePhone'
  import ContactEmail from './ContactEmail'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import ChangeMobilePhoneModal from './ChangeMobilePhoneModal'
  import ChangeEmailModal from './ChangeEmailModal'

  export default {
    name: 'contact-information',
    mixins: [
      ErrorHandleMixin
    ],
    components: {
      ContactMobilePhone,
      ContactEmail,
      ChangeMobilePhoneModal,
      ChangeEmailModal
    }
  }
</script>

<style scoped lang="scss">
  .disabled {
    color: darkGray
  }
</style>
